<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaycheckSearchRow StructType
 * @subpackage Structs
 */
class PaycheckSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PaycheckSearchRowBasic
     */
    public $basic;
    /**
     * The employeeJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $employeeJoin;
    /**
     * The payrollItemJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PayrollItemSearchRowBasic
     */
    public $payrollItemJoin;
    /**
     * Constructor method for PaycheckSearchRow
     * @uses PaycheckSearchRow::setBasic()
     * @uses PaycheckSearchRow::setEmployeeJoin()
     * @uses PaycheckSearchRow::setPayrollItemJoin()
     * @param \StructType\PaycheckSearchRowBasic $basic
     * @param \StructType\EmployeeSearchRowBasic $employeeJoin
     * @param \StructType\PayrollItemSearchRowBasic $payrollItemJoin
     */
    public function __construct(\StructType\PaycheckSearchRowBasic $basic = null, \StructType\EmployeeSearchRowBasic $employeeJoin = null, \StructType\PayrollItemSearchRowBasic $payrollItemJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setEmployeeJoin($employeeJoin)
            ->setPayrollItemJoin($payrollItemJoin);
    }
    /**
     * Get basic value
     * @return \StructType\PaycheckSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\PaycheckSearchRowBasic $basic
     * @return \StructType\PaycheckSearchRow
     */
    public function setBasic(\StructType\PaycheckSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get employeeJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getEmployeeJoin()
    {
        return $this->employeeJoin;
    }
    /**
     * Set employeeJoin value
     * @param \StructType\EmployeeSearchRowBasic $employeeJoin
     * @return \StructType\PaycheckSearchRow
     */
    public function setEmployeeJoin(\StructType\EmployeeSearchRowBasic $employeeJoin = null)
    {
        $this->employeeJoin = $employeeJoin;
        return $this;
    }
    /**
     * Get payrollItemJoin value
     * @return \StructType\PayrollItemSearchRowBasic|null
     */
    public function getPayrollItemJoin()
    {
        return $this->payrollItemJoin;
    }
    /**
     * Set payrollItemJoin value
     * @param \StructType\PayrollItemSearchRowBasic $payrollItemJoin
     * @return \StructType\PaycheckSearchRow
     */
    public function setPayrollItemJoin(\StructType\PayrollItemSearchRowBasic $payrollItemJoin = null)
    {
        $this->payrollItemJoin = $payrollItemJoin;
        return $this;
    }
}
